package com.fidms.web.service.impl;

import java.util.List;
import com.fidms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fidms.web.mapper.InfraredOutputMapper;
import com.fidms.web.domain.InfraredOutput;
import com.fidms.web.service.IInfraredOutputService;

/**
 * 红外输出Service业务层处理
 * 
 * @author Allen
 * @date 2023-05-08
 */
@Service
public class InfraredOutputServiceImpl implements IInfraredOutputService 
{
    @Autowired
    private InfraredOutputMapper infraredOutputMapper;

    /**
     * 查询红外输出
     * 
     * @param id 红外输出主键
     * @return 红外输出
     */
    @Override
    public InfraredOutput selectInfraredOutputById(Long id)
    {
        return infraredOutputMapper.selectInfraredOutputById(id);
    }

    /**
     * 查询红外输出列表
     * 
     * @param infraredOutput 红外输出
     * @return 红外输出
     */
    @Override
    public List<InfraredOutput> selectInfraredOutputList(InfraredOutput infraredOutput)
    {
        return infraredOutputMapper.selectInfraredOutputList(infraredOutput);
    }

    /**
     * 新增红外输出
     * 
     * @param infraredOutput 红外输出
     * @return 结果
     */
    @Override
    public int insertInfraredOutput(InfraredOutput infraredOutput)
    {
        infraredOutput.setCreateTime(DateUtils.getNowDate());
        infraredOutput.setUpdateTime(DateUtils.getNowDate());
        return infraredOutputMapper.insertInfraredOutput(infraredOutput);
    }

    /**
     * 修改红外输出
     * 
     * @param infraredOutput 红外输出
     * @return 结果
     */
    @Override
    public int updateInfraredOutput(InfraredOutput infraredOutput)
    {
        infraredOutput.setUpdateTime(DateUtils.getNowDate());
        return infraredOutputMapper.updateInfraredOutput(infraredOutput);
    }

    /**
     * 批量删除红外输出
     * 
     * @param ids 需要删除的红外输出主键
     * @return 结果
     */
    @Override
    public int deleteInfraredOutputByIds(Long[] ids)
    {
        return infraredOutputMapper.deleteInfraredOutputByIds(ids);
    }

    /**
     * 删除红外输出信息
     * 
     * @param id 红外输出主键
     * @return 结果
     */
    @Override
    public int deleteInfraredOutputById(Long id)
    {
        return infraredOutputMapper.deleteInfraredOutputById(id);
    }
}
